package com.ruoyi.service.impl;

import com.ruoyi.service.StrategySystemReviewTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Transactional
@Service
public class StrategySystemReviewTaskContext {

    @Autowired
    private final Map<String, StrategySystemReviewTask> resourceMap = new ConcurrentHashMap<>();

    public void putResource(String key, StrategySystemReviewTask strategySystemReviewTask) {
        resourceMap.put(key, strategySystemReviewTask);
    }

    public StrategySystemReviewTask getResource(String operation){
        return resourceMap.get(operation);
    }
}
